pk-transaction-obj
3
PACKAGEKIT Library

# pk-transaction-obj

Functionality to create a transaction struct

## Synopsis

    PkTransactionObj *  pk_transaction_obj_new              (void);
    PkTransactionObj *  pk_transaction_obj_copy             (const PkTransactionObj *obj);
    PkTransactionObj *  pk_transaction_obj_new_from_data    (const gchar *tid,
                                                             const gchar *timespec,
                                                             gboolean succeeded,
                                                             PkRoleEnum role,
                                                             guint duration,
                                                             const gchar *data,
                                                             guint uid,
                                                             const gchar *cmdline);
    gboolean            pk_transaction_obj_free             (PkTransactionObj *obj);

## Description

## Details

### pk_transaction_obj_new ()

    PkTransactionObj *  pk_transaction_obj_new              (void);

Creates a new PkTransactionObj object with default values

Returns :

  a new PkTransactionObj object

### pk_transaction_obj_copy ()

    PkTransactionObj *  pk_transaction_obj_copy             (const PkTransactionObj *obj);

`obj` :

Returns :

  a new PkTransactionObj object

### pk_transaction_obj_new_from_data ()

    PkTransactionObj *  pk_transaction_obj_new_from_data    (const gchar *tid,
                                                             const gchar *timespec,
                                                             gboolean succeeded,
                                                             PkRoleEnum role,
                                                             guint duration,
                                                             const gchar *data,
                                                             guint uid,
                                                             const gchar *cmdline);

Creates a new PkTransactionObj object with values.

`tid` :

`timespec` :

`succeeded` :

`role` :

`duration` :

`data` :

`uid` :

`cmdline` :

Returns :

  a new PkTransactionObj object

### pk_transaction_obj_free ()

    gboolean            pk_transaction_obj_free             (PkTransactionObj *obj);

`obj` :

  the PkTransactionObj object

Returns :

  `TRUE` if the PkTransactionObj object was freed.